View Issue Details

IDProjectCategoryView StatusLast Update
0004539Kali Linux[All Projects] New Tool Requestspublic2018-02-21 09:35
ReporterZhaoChunshengAssigned To 
PrioritynoneSeverityfeatureReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0004539: FeedingBottle v3.3 released
Description2018-02-11 FeedingBottle-3.3
--- Open source;Support Aircrack-ng 1.2 rc4;Remove force fake authentication function and fixed some bug

https://github.com/ChunshengZhao/feedingbottle

Pass-Test:kali 2018.1 2017.3

Activities

g0tmi1k

2018-02-13 12:46

administrator   ~0008667

To help speed up the process of evaluating the tool, please make sure to include the following information (the more information you include, the more beneficial it will for us):

- [Name] - The name of the tool
- [Version] - What version of the tool should be added?
--- If it uses source control (such as git), please make sure there is a release to match (e.g. git tag)
- [Homepage] - Where can the tool be found online? Where to go to get more information?
- [Download] - Where to go to get the tool? either a download page or a link to the latest version
- [Author] - Who made the tool?
- [Licence] - How is the software distributed? What conditions does it come with?
- [Description] - What is the tool about? What does it do?
- [Dependencies] - What is needed for the tool to work?
- [Similar tools] - What other tools are out there?
- [Activity] - When did the project start? Is is still actively being deployed?
- [How to install] - How do you compile it?
--- Note, using source code to acquire (e.g. git clone/svn checkout) can't be used - Also downloading from the head. Please use a "tag" or "release" version.
- [How to use] - What are some basic commands/functions to demonstrate it?

ZhaoChunsheng

2018-02-13 13:42

reporter   ~0008668

[Name]
FeedingBottle

[Version]
v3.3

[Homepage]
https://github.com/ChunshengZhao/feedingbottle

[Download]
https://github.com/ChunshengZhao/feedingbottle/archive/v3.3.tar.gz

[Author]
ZhaoChunsheng

[Licence]
GPL-3.0

[Description]
FeedingBottle is a Aircrack-ng GUI, create by Fast Light User-Interface Designer ("FLUID").

[Dependencies]
Aircrack-ng

[Similar tools]
spoonwep

[Activity]
https://github.com/ChunshengZhao/feedingbottle/blob/master/changelog

[How to install]
#wget https://github.com/ChunshengZhao/feedingbottle/archive/v3.3.tar.gz
#tar -xzf v3.3.tar.gz
#cd feedingbottle-3.3
#apt-get install fluid
#fluid -c feedingbottle.fl
#fltk-config --compile feedingbottle.cxx
#./feedingbottle

[How to use]
Out of the Box.

feedingbottle-2.0-rc2.1-for-bt4f.swf (406,015 bytes)

kimocoder

2018-02-14 10:45

reporter   ~0008677

Out of the box in Kali 2018.1 it actually gives a segfault. Jumping om github repo later and posts the logs.

ZhaoChunsheng

2018-02-14 11:28

reporter   ~0008678

@kimocoder
XOpenIM() failed?
You can ignore this error.

kimocoder

2018-02-14 11:34

reporter   ~0008679

No.. the GUI doesn't show at all, it gives segfault on the GUI part itself. provided a picture.

Screenshot from 2018-02-14 12-32-18.png (1,344,235 bytes)

ZhaoChunsheng

2018-02-14 15:01

reporter   ~0008680

Thanks!
FeedingBottle v3.31 released, please test it.

2018-02-14 FeedingBottle-3.31
--- Fixed a bug: Abnormal exit has occurred while the wireless device is in use. Thanks to kimocoder.

kimocoder

2018-02-14 15:03

reporter   ~0008681

Great! Tested & working :)

ZhaoChunsheng

2018-02-14 15:04

reporter   ~0008682

Thanks again!

Issue History

Date Modified Username Field Change
2018-02-13 03:15 ZhaoChunsheng New Issue
2018-02-13 12:46 g0tmi1k Note Added: 0008667
2018-02-13 13:42 ZhaoChunsheng File Added: feedingbottle-2.0-rc2.1-for-bt4f.swf
2018-02-13 13:42 ZhaoChunsheng Note Added: 0008668
2018-02-14 10:45 kimocoder Note Added: 0008677
2018-02-14 11:28 ZhaoChunsheng Note Added: 0008678
2018-02-14 11:34 kimocoder File Added: Screenshot from 2018-02-14 12-32-18.png
2018-02-14 11:34 kimocoder Note Added: 0008679
2018-02-14 15:01 ZhaoChunsheng Note Added: 0008680
2018-02-14 15:03 kimocoder Note Added: 0008681
2018-02-14 15:04 ZhaoChunsheng Note Added: 0008682
2018-02-21 09:35 g0tmi1k Product Version 2018.1 =>